# Set Process Automation for ID Card Requests

Takes a list of IDCardRequest_Key values and verifies those against configured process automation settings.

Endpoint: POST /idcardrequest-process-automation
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `idCardRequestKeys` (array)

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.vbaProcess_Key` (integer, required)
    Unique Identifier for the VBAProcess table Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.vbaProcess_Type` (string, required)
    Type used to determine the process that triggers.

  - `data.description` (string)
    Description of the process.

  - `data.entry_Date` (string)
    Date record was first added to the system

  - `data.entry_User` (string)
    User that first added the record to the system

  - `data.process_End` (string)
    Date and time the process ended.

  - `data.process_Result` (string)
    Result of the process.

  - `data.process_Start` (string)
    Date and time the process started.

  - `data.process_User` (string)
    User that started the process.

  - `data.update_Date` (string)
    Date the record was last updated in the system

  - `data.update_User` (string)
    User that last updated the record in the system

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

